Index: plottools/src/danse/common/plottools/PlotPanel.py
===================================================================
--- plottools/src/danse/common/plottools/PlotPanel.py	(revision 75a6cf07e5a11c0b692fa6436f65f1b382cea207)
+++ plottools/src/danse/common/plottools/PlotPanel.py	(revision 9bab1417301cac901bb386a2aa0e3dd6878eb0a1)
@@ -729,5 +729,5 @@
                         self.viewModel = "--"
                         dial.setValues(self.xLabel, self.yLabel, self.viewModel)
-                    if self.viewModel == "CS Guinier ln(y*x) vs x^(2)":
+                    if self.viewModel == "XS Guinier ln(y*x) vs x^(2)":
                         self.xLabel = "x^(2)"
                         self.yLabel = "ln(y*x)"
Index: plottools/src/danse/common/plottools/PropertyDialog.py
===================================================================
--- plottools/src/danse/common/plottools/PropertyDialog.py	(revision 75a6cf07e5a11c0b692fa6436f65f1b382cea207)
+++ plottools/src/danse/common/plottools/PropertyDialog.py	(revision 9bab1417301cac901bb386a2aa0e3dd6878eb0a1)
@@ -79,5 +79,5 @@
         self.view.Insert("Linear y vs x", 1)
         self.view.Insert("Guinier lny vs x^(2)", 2)
-        self.view.Insert("CS Guinier ln(y*x) vs x^(2)", 3)
+        self.view.Insert("XS Guinier ln(y*x) vs x^(2)", 3)
         self.view.Insert("Porod y*x^(4) vs x^(4)", 4)
         self.SetSizer(vbox)
Index: plottools/src/danse/common/plottools/fitDialog.py
===================================================================
--- plottools/src/danse/common/plottools/fitDialog.py	(revision 10bfeb307197dbe02c1ab9ca2e868b076c0cd128)
+++ plottools/src/danse/common/plottools/fitDialog.py	(revision 9bab1417301cac901bb386a2aa0e3dd6878eb0a1)
@@ -10,9 +10,11 @@
 if sys.platform.count("win32") > 0:
     FONT_VARIANT = 0
-    PNL_WIDTH = 400
+    PNL_WIDTH = 450
+    PNL_HEIGHT = 500
 else:
     FONT_VARIANT = 1
-    PNL_WIDTH = 450
-    
+    PNL_WIDTH = 500
+    PNL_HEIGHT = 500
+RG_ON = True    
     
 def format_number(value, high=False):
@@ -40,5 +42,6 @@
         Displays fitting parameters
         """
-        wx.Dialog.__init__(self, parent, title=title, size=(PNL_WIDTH, 350))
+        wx.Dialog.__init__(self, parent, title=title, 
+                           size=(PNL_WIDTH, 350))
         self.parent = parent
         self.transform = transform
@@ -52,5 +55,5 @@
         #dialog self plottable
         self.plottable = plottable
-        
+        self.rg_on = False
         # Receive transformations of x and y
         self.xLabel, self.yLabel, self.Avalue, self.Bvalue,\
@@ -104,5 +107,5 @@
         
         # Intro
-        explanation = "Perform fit for y(x) = Ax + B"
+        explanation = "Perform fit for y(x) = ax + b"
         vbox.Add(sizer)
         ix = 0
@@ -111,5 +114,5 @@
                  (1, 1), wx.LEFT|wx.EXPAND|wx.ADJUST_MINSIZE, 15)
         iy += 2
-        sizer.Add(wx.StaticText(self, -1, 'Parameter A'), (iy, ix),
+        sizer.Add(wx.StaticText(self, -1, 'Parameter a'), (iy, ix),
                  (1, 1), wx.LEFT|wx.EXPAND|wx.ADJUST_MINSIZE, 15)
         ix += 1
@@ -123,5 +126,5 @@
         iy += 1
         ix = 0
-        sizer.Add(wx.StaticText(self, -1, 'Parameter B'), (iy, ix),(1, 1),
+        sizer.Add(wx.StaticText(self, -1, 'Parameter b'), (iy, ix),(1, 1),
                    wx.LEFT|wx.EXPAND|wx.ADJUST_MINSIZE, 15)
         ix += 1
@@ -139,4 +142,7 @@
         ix += 1
         sizer.Add(self.tcChi, (iy, ix),(1,1), wx.EXPAND|wx.ADJUST_MINSIZE, 0)
+
+        
+        #sizer.Add(wx.StaticLine(self, -1), 0, wx.EXPAND, 0)
         iy += 2
         ix = 1
@@ -146,4 +152,5 @@
         sizer.Add(wx.StaticText(self, -1, 'Max'), (iy, ix),
                   (1, 1), wx.EXPAND|wx.ADJUST_MINSIZE, 0)
+
         iy += 1
         ix = 0
@@ -168,4 +175,95 @@
         ix += 2
         sizer.Add(self.xmaxFit, (iy, ix), (1,1), wx.EXPAND|wx.ADJUST_MINSIZE, 0)
+        if RG_ON:
+            if (self.yLabel == "ln(y)" or self.yLabel == "ln(y*x)") and \
+                    (self.xLabel == "x^(2)"):
+                self.rg_on = True
+                self.SetSize((PNL_WIDTH, PNL_HEIGHT))
+                I0_stxt = wx.StaticText(self, -1, 'I(q=0)')
+                self.I0_tctr = wx.TextCtrl(self, -1, '')
+                self.I0_tctr.SetEditable(False)
+                self.I0_tctr.SetBackgroundColour(_BACKGROUND_COLOR)
+                self.I0err_tctr = wx.TextCtrl(self, -1, '')
+                self.I0err_tctr.SetEditable(False)
+                self.I0err_tctr.SetBackgroundColour(_BACKGROUND_COLOR)
+                Rg_stxt = wx.StaticText(self, -1, 'Rg (A)')
+                Rg_stxt.Show(self.yLabel == "ln(y)" )
+                self.Rg_tctr = wx.TextCtrl(self, -1, '')
+                self.Rg_tctr.SetEditable(False)
+                self.Rg_tctr.SetBackgroundColour(_BACKGROUND_COLOR)
+                self.Rg_tctr.Show(self.yLabel == "ln(y)" )
+                self.Rgerr_tctr = wx.TextCtrl(self, -1, '')
+                self.Rgerr_tctr.SetEditable(False)
+                self.Rgerr_tctr.SetBackgroundColour(_BACKGROUND_COLOR)
+                self.Rgerr_tctr.Show(self.yLabel == "ln(y)" )
+                Diameter_stxt = wx.StaticText(self, -1, 'Rod Diameter (A)')
+                Diameter_stxt.Show(self.yLabel == "ln(y*x)")
+                self.Diameter_tctr = wx.TextCtrl(self, -1, '')
+                self.Diameter_tctr.SetEditable(False)
+                self.Diameter_tctr.SetBackgroundColour(_BACKGROUND_COLOR)
+                self.Diameter_tctr.Show(self.yLabel == "ln(y*x)")
+                self.Diametererr_tctr = wx.TextCtrl(self, -1, '')
+                self.Diametererr_tctr.SetEditable(False)
+                self.Diametererr_tctr.SetBackgroundColour(_BACKGROUND_COLOR)
+                self.Diametererr_tctr.Show(self.yLabel == "ln(y*x)")
+                RgQmin_stxt = wx.StaticText(self, -1, 'Rg*Qmin')
+                self.RgQmin_tctr = wx.TextCtrl(self, -1, '')
+                self.RgQmin_tctr.SetEditable(False)
+                self.RgQmin_tctr.SetBackgroundColour(_BACKGROUND_COLOR)
+                RgQmax_stxt = wx.StaticText(self, -1, 'Rg*Qmax')
+                self.RgQmax_tctr = wx.TextCtrl(self, -1, '')
+                self.RgQmax_tctr.SetEditable(False)
+                self.RgQmax_tctr.SetBackgroundColour(_BACKGROUND_COLOR)
+
+                #sizer.Add(wx.StaticLine(self, -1), 0, wx.EXPAND, 0)
+                iy += 2
+                ix = 0
+                sizer.Add(I0_stxt, (iy, ix),(1,1),
+                                        wx.LEFT|wx.EXPAND|wx.ADJUST_MINSIZE, 15)
+                ix += 1
+                sizer.Add(self.I0_tctr, (iy, ix), (1,1),
+                                        wx.LEFT|wx.EXPAND|wx.ADJUST_MINSIZE, 0)
+        
+                ix += 2
+                sizer.Add(self.I0err_tctr, (iy, ix), (1,1), 
+                                        wx.EXPAND|wx.ADJUST_MINSIZE, 0)
+                
+                iy += 1
+                ix = 0
+                sizer.Add(Rg_stxt, (iy, ix),(1,1),
+                                        wx.LEFT|wx.EXPAND|wx.ADJUST_MINSIZE, 15)
+                ix += 1
+                sizer.Add(self.Rg_tctr, (iy, ix), (1,1),
+                                        wx.LEFT|wx.EXPAND|wx.ADJUST_MINSIZE, 0)
+        
+                ix += 2
+                sizer.Add(self.Rgerr_tctr, (iy, ix), (1,1), 
+                                        wx.EXPAND|wx.ADJUST_MINSIZE, 0)
+                iy += 1
+                ix = 0
+                sizer.Add(Diameter_stxt, (iy, ix),(1,1),
+                                        wx.LEFT|wx.EXPAND|wx.ADJUST_MINSIZE, 15)
+                ix += 1
+                sizer.Add(self.Diameter_tctr, (iy, ix), (1,1),
+                                        wx.LEFT|wx.EXPAND|wx.ADJUST_MINSIZE, 0)
+        
+                ix += 2
+                sizer.Add(self.Diametererr_tctr, (iy, ix), (1,1), 
+                                        wx.EXPAND|wx.ADJUST_MINSIZE, 0)
+                iy += 1
+                ix = 0
+                sizer.Add(RgQmin_stxt, (iy, ix),(1,1),
+                                        wx.LEFT|wx.EXPAND|wx.ADJUST_MINSIZE, 15)
+                ix += 1
+                sizer.Add(self.RgQmin_tctr, (iy, ix), (1,1),
+                                        wx.LEFT|wx.EXPAND|wx.ADJUST_MINSIZE, 0)
+                iy += 1
+                ix = 0
+                sizer.Add(RgQmax_stxt, (iy, ix),(1,1),
+                                        wx.LEFT|wx.EXPAND|wx.ADJUST_MINSIZE, 15)
+                ix += 1
+                sizer.Add(self.RgQmax_tctr, (iy, ix), (1,1),
+                                        wx.LEFT|wx.EXPAND|wx.ADJUST_MINSIZE, 0)
+            
         iy += 1
         ix = 1
@@ -393,4 +491,5 @@
         Display  the value on fit Dialog
         """
+        rg = None
         self.tcA.SetValue(format_number(cstA))
         self.tcB.SetValue(format_number(cstB))
@@ -398,5 +497,38 @@
         self.tcErrB.SetValue(format_number(errB))
         self.tcChi.SetValue(format_number(Chi))
-        
+        if self.rg_on:
+            if self.Rg_tctr.IsShown():
+                rg = numpy.sqrt(-3 * float(cstA))
+                value = format_number(rg)
+                self.Rg_tctr.SetValue(value)
+                if self.I0_tctr.IsShown():
+                    val = numpy.exp(cstB)
+                    self.I0_tctr.SetValue(format_number(val))
+            if self.Rgerr_tctr.IsShown():
+                if rg != None and rg != 0:
+                    value = format_number(3 * float(cstA) / (2 * rg))
+                else:
+                    value =''
+                self.Rgerr_tctr.SetValue(value)
+                if self.I0err_tctr.IsShown():
+                    val = numpy.abs(numpy.exp(cstB) - numpy.exp(cstB + errB))
+                    self.I0err_tctr.SetValue(format_number(val))
+            if self.Diameter_tctr.IsShown():
+                rg = 4 * numpy.sqrt(-float(cstA))
+                value = format_number(rg)
+                self.Diameter_tctr.SetValue(value)
+            if self.Diametererr_tctr.IsShown():
+                if rg != None and rg != 0:
+                    value = format_number(8 * float(cstA) / rg)
+                else:
+                    value =''
+                self.Diametererr_tctr.SetValue(value)
+            if self.RgQmin_tctr.IsShown():
+                value = format_number(rg * self.mini)
+                self.RgQmin_tctr.SetValue(value)
+            if self.RgQmax_tctr.IsShown():
+                value = format_number(rg * self.maxi)
+                self.RgQmax_tctr.SetValue(value)
+                
     def _ongetValues(self):
         """
